Loading...
Searching...
No Matches
BALL::VIEW::ForceModel Class Reference
Visualisation » Model Processors

`#include <BALL/VIEW/MODELS/forceModel.h>`

Inheritance diagram for BALL::VIEW::ForceModel:

## Public Member Functions

Constructors and Destructors
| ForceModel ()
| ForceModel (const ForceModel &add_line_model)
virtual | ~ForceModel ()
void | setScaling (float value)
void | setMaxLength (float value)
float | getScaling () const
float | getMaxLength () const
void | setBaseSize (float size)
float | getBaseSize () const
void | setOffset (float off)
float | getOffset () const
Public Member Functions inherited from BALL::VIEW::ModelProcessor
| ModelProcessor ()
| ModelProcessor (const ModelProcessor &model_processor)
virtual | ~ModelProcessor ()
virtual void | clear ()
| Clear all datastructures, but dont destroy the geometric objects.
virtual bool | isValid () const
virtual void | clearComposites ()
virtual void | dump (std::ostream &, Size) const
GeometricObjectList & | getGeometricObjects ()
| Return the list with the created geometric objects.
const GeometricObjectList & | getGeometricObjects () const
| Return the list with the created geometric objects.
void | setDrawingPrecision (Index precision)
Index | getDrawingPrecision () const
void | setSurfaceDrawingPrecision (float precision)
float | getSurfaceDrawingPrecision () const
virtual bool | createGeometricObjects ()
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()
Public Member Functions inherited from BALL::PropertyManager
BALL_INLINE | PropertyManager ()
| Default constructor.
BALL_INLINE | PropertyManager (const PropertyManager &property_manager)
| Copy constructor.
virtual | ~PropertyManager ()
| Destructor.
virtual void | destroy ()
| Clears all properties.
void | set (const PropertyManager &property_manager)
const PropertyManager & | operator= (const PropertyManager &property_manager)
void | get (PropertyManager &property_manager) const
void | swap (PropertyManager &property_manager)
BitVector & | getBitVector ()
const BitVector & | getBitVector () const
| operator BitVector & ()
void | setProperty (Property property)
void | clearProperty (Property property)
void | toggleProperty (Property property)
Size | countProperties () const
const NamedProperty & | getNamedProperty (Position index) const
NamedProperty & | getNamedProperty (Position index)
void | setProperty (const NamedProperty &property)
void | setProperty (const std::string &name)
void | setProperty (const std::string &name, bool value)
void | setProperty (const std::string &name, int value)
void | setProperty (const std::string &name, unsigned int value)
void | setProperty (const std::string &name, float value)
void | setProperty (const std::string &name, double value)
void | setProperty (const std::string &name, const std::string &value)
void | setProperty (const std::string &name, const PersistentObject &value)
const NamedProperty & | getProperty (const std::string &name) const
NamedPropertyIterator | beginNamedProperty ()
NamedPropertyIterator | endNamedProperty ()
void | clearProperty (const std::string &name)
Size | countNamedProperties () const
bool | hasProperty (Property property) const
| Query for an unnamed property.
bool | hasProperty (const std::string &name) const
| Query for a named property.
bool | operator== (const PropertyManager &pm) const
bool | operator!= (const PropertyManager &pm) const
| Inequality operator.
void | write (PersistenceManager &pm) const
| Persistent stream writing.
bool | read (PersistenceManager &pm)
| Persistent stream reading.
bool | isValid () const
void | dump (std::ostream &s=std::cout, Size depth=0) const

## Processor specific methods

float | scaling_
float | max_length_
float | base_size_
float | offset_
virtual Processor::Result | operator() (Composite &composite)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Protected Attributes inherited from BALL::VIEW::ModelProcessor
GeometricObjectList | geometric_objects_
Index | drawing_precision_
float | surface_drawing_precision_

## Detailed Description

ForceModel class. The class ForceModel is a model processor that is responsible for creating a model for forces on atoms. For information about the processor concept see Processor.

Definition at line 25 of file forceModel.h.

## Constructor & Destructor Documentation

## ForceModel() [1/2]

BALL::VIEW::ForceModel::ForceModel | ( |  | ) |

Default Constructor.

## ForceModel() [2/2]

BALL::VIEW::ForceModel::ForceModel | ( | const ForceModel & | add_line_model | ) |

Copy constructor.

## ~ForceModel()

virtual BALL::VIEW::ForceModel::~ForceModel | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## getBaseSize()

float BALL::VIEW::ForceModel::getBaseSize | ( |  | ) | const

inline

Definition at line 67 of file forceModel.h.

## getMaxLength()

float BALL::VIEW::ForceModel::getMaxLength | ( |  | ) | const

inline

Definition at line 60 of file forceModel.h.

## getOffset()

float BALL::VIEW::ForceModel::getOffset | ( |  | ) | const

inline

Definition at line 73 of file forceModel.h.

## getScaling()

float BALL::VIEW::ForceModel::getScaling | ( |  | ) | const

inline

Definition at line 56 of file forceModel.h.

## operator()()

virtual Processor::Result BALL::VIEW::ForceModel::operator() | ( | Composite & | composite | ) |

virtual

Operator method. This method iterates over each Composite object reachable in the tree. If the composite is of kind Atom than a Point is created for that atom, and it inserted with the method insertAtom_(). The color for that Point object is calculated with the ColorCalculator object retrieved with the method getColorCalculator(). All atoms inserted with the method insertAtom_() will later used for creating the model of the reachable Bond objects. Those models will be created with the method buildBondModels_().

Parameters

  composite | the Composite object that will be processed

Returns
  Processor::Result the result

Exceptions

  OutOfMemory | thrown if the memory allocation for a Point object failed

Reimplemented from BALL::UnaryProcessor< Composite >.

## setBaseSize()

void BALL::VIEW::ForceModel::setBaseSize | ( | float | size | ) |

inline

Definition at line 64 of file forceModel.h.

## setMaxLength()

void BALL::VIEW::ForceModel::setMaxLength | ( | float | value | ) |

inline

Definition at line 52 of file forceModel.h.

## setOffset()

void BALL::VIEW::ForceModel::setOffset | ( | float | off | ) |

inline

Definition at line 70 of file forceModel.h.

## setScaling()

void BALL::VIEW::ForceModel::setScaling | ( | float | value | ) |

inline

Definition at line 48 of file forceModel.h.

## Member Data Documentation

## base_size_

float BALL::VIEW::ForceModel::base_size_

protected

Definition at line 101 of file forceModel.h.

## max_length_

float BALL::VIEW::ForceModel::max_length_

protected

Definition at line 100 of file forceModel.h.

## offset_

float BALL::VIEW::ForceModel::offset_

protected

Definition at line 102 of file forceModel.h.

## scaling_

float BALL::VIEW::ForceModel::scaling_

protected

Definition at line 99 of file forceModel.h.